# Generated by Django 4.1.5 on 2023-02-01 19:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Address",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("state", models.CharField(max_length=1024)),
                ("street1", models.CharField(max_length=1024)),
                ("street2", models.CharField(blank=True, max_length=1024)),
                ("postalCode", models.CharField(max_length=1024)),
                ("city", models.CharField(max_length=1024)),
                ("country", models.CharField(max_length=1024)),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="Logo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("photo", models.ImageField(blank=True, upload_to="logos/%Y/%m/%d/")),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="ResearchCluster",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=1024)),
                ("description", models.CharField(max_length=1024)),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="ResearchNetworkEvent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=1024)),
                ("photo", models.CharField(max_length=1024)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                ("date", models.DateTimeField(auto_now_add=True)),
            ],
            options={"ordering": ["-date"],},
        ),
        migrations.CreateModel(
            name="ResearchNetworkNews",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=1024)),
                ("photo", models.CharField(max_length=1024)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                ("description", models.CharField(max_length=1024)),
                ("eyecatcher", models.CharField(max_length=1024)),
            ],
            options={"ordering": ["-created"],},
        ),
        migrations.CreateModel(
            name="ResearchProject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=1024)),
                ("description", models.CharField(blank=True, max_length=4096)),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="User",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("firstname", models.CharField(max_length=1024)),
                ("lastname", models.CharField(max_length=1024)),
                ("title", models.CharField(max_length=1024)),
                ("email", models.CharField(max_length=1024)),
                ("position", models.CharField(max_length=1024)),
                ("photo", models.ImageField(blank=True, upload_to="user/%Y/%m/%d/")),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="ResearchNetwork",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("shortcut", models.CharField(blank=True, max_length=1024)),
                ("name", models.CharField(max_length=1024)),
                ("photo", models.CharField(max_length=1024)),
                ("description", models.CharField(blank=True, max_length=1024)),
                ("research_description", models.CharField(blank=True, max_length=1024)),
                (
                    "address",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="api.address",
                    ),
                ),
                (
                    "events",
                    models.ManyToManyField(blank=True, to="api.researchnetworkevent"),
                ),
                (
                    "news",
                    models.ManyToManyField(blank=True, to="api.researchnetworknews"),
                ),
            ],
            options={"ordering": ["-id"],},
        ),
        migrations.CreateModel(
            name="CompetenceProfile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                ("institution_name", models.CharField(max_length=1024)),
                ("workgroup", models.CharField(max_length=1024)),
                ("summary", models.CharField(max_length=4096)),
                ("shortcut", models.CharField(max_length=1024)),
                ("research_focus", models.CharField(max_length=2048)),
                ("publications", models.CharField(max_length=1024)),
                (
                    "publications_file",
                    models.FileField(blank=True, upload_to="bibliography"),
                ),
                (
                    "address",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="api.address",
                    ),
                ),
                (
                    "author",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="competence_profile",
                        to="api.user",
                    ),
                ),
                ("logos", models.ManyToManyField(blank=True, to="api.logo")),
                ("representatives", models.ManyToManyField(blank=True, to="api.user")),
                (
                    "research_clusters",
                    models.ManyToManyField(blank=True, to="api.researchcluster"),
                ),
                (
                    "research_networks",
                    models.ManyToManyField(blank=True, to="api.researchnetwork"),
                ),
                (
                    "research_projects",
                    models.ManyToManyField(blank=True, to="api.researchproject"),
                ),
            ],
            options={"ordering": ["-created"],},
        ),
    ]
